<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".modules.home.fragment.from.fragment.WokSetGKCXFragment">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_weight="1"
                        android:minWidth="60dp"
                        android:text="位置下限"
                        android:textSize="19dp" />

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_weight="1"
                        android:minWidth="60dp"
                        android:text="位置上限"
                        android:textSize="19dp" />
                </LinearLayout>

                <RelativeLayout
                    android:layout_width="220dp"
                    android:layout_height="match_parent" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="原点位置" />

                <EditText
                    android:id="@+id/edit_ydw1"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <EditText
                    android:id="@+id/edit_ydw2"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <RelativeLayout
                        android:id="@+id/ydw_status"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:background="@mipmap/status_y" />
                </RelativeLayout>

                <Button
                    android:id="@+id/ydw_save"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:text="保存"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/ydw_button"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_btn_login_selected"
                    android:text="回原点"
                    android:textSize="14dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="洗锅位置" />

                <EditText
                    android:id="@+id/edit_xgw1"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <EditText
                    android:id="@+id/edit_xgw2"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <RelativeLayout
                        android:id="@+id/xgw_status"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:background="@mipmap/status_y" />
                </RelativeLayout>

                <Button
                    android:id="@+id/xgw_save"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:text="保存"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/xgw_button"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_btn_login_selected"
                    android:text="洗锅位"
                    android:textSize="14dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="出餐位置" />

                <EditText
                    android:id="@+id/edit_ccw1"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <EditText
                    android:id="@+id/edit_ccw2"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <RelativeLayout
                        android:id="@+id/ccw_status"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:background="@mipmap/status_y" />
                </RelativeLayout>

                <Button
                    android:id="@+id/ccw_save"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:text="保存"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/ccw_button"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_btn_login_selected"
                    android:text="出餐位"
                    android:textSize="14dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="抽料位置" />

                <EditText
                    android:id="@+id/edit_ctl1"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <EditText
                    android:id="@+id/edit_ctl2"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <RelativeLayout
                        android:id="@+id/ctl_status"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:background="@mipmap/status_y" />
                </RelativeLayout>

                <Button
                    android:id="@+id/ctl_save"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:text="保存"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/ctl_button"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_btn_login_selected"
                    android:text="抽料位"
                    android:textSize="14dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="1#炒制位" />

                <EditText
                    android:id="@+id/edit_czw11"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <EditText
                    android:id="@+id/edit_czw12"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <RelativeLayout
                        android:id="@+id/czw1_status"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:background="@mipmap/status_y" />
                </RelativeLayout>

                <Button
                    android:id="@+id/czw1_save"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:text="保存"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/czw1_button"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_btn_login_selected"
                    android:text="1#位置"
                    android:textSize="14dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="2#炒制位" />

                <EditText
                    android:id="@+id/edit_czw21"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <EditText
                    android:id="@+id/edit_czw22"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <RelativeLayout
                        android:id="@+id/czw2_status"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:background="@mipmap/status_y" />
                </RelativeLayout>

                <Button
                    android:id="@+id/czw2_save"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:text="保存"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/czw2_button"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_btn_login_selected"
                    android:text="2#位置"
                    android:textSize="14dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="3#炒制位" />

                <EditText
                    android:id="@+id/edit_czw31"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <EditText
                    android:id="@+id/edit_czw32"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent">

                    <RelativeLayout
                        android:id="@+id/czw3_status"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="10dp"
                        android:layout_marginRight="10dp"
                        android:background="@mipmap/status_y" />
                </RelativeLayout>

                <Button
                    android:id="@+id/czw3_save"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:text="保存"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/czw3_button"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_btn_login_selected"
                    android:text="3#位置"
                    android:textSize="14dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="工作范围" />

                <EditText
                    android:id="@+id/edit_gzfw1"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <EditText
                    android:id="@+id/edit_gzfw2"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="5dp"
                    android:layout_weight="1"
                    android:background="@drawable/input_bj"
                    android:hint="请输入位置"
                    android:inputType="number"
                    android:maxLines="1"
                    android:padding="3dp"
                    android:textSize="12dp"
                    android:text="0"/>

                <Button
                    android:id="@+id/gzfw_save"
                    android:layout_width="80dp"
                    android:layout_height="26dp"
                    android:layout_marginLeft="40dp"
                    android:layout_centerInParent="true"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/button1"
                    android:text="保存"
                    android:textSize="14dp" />

                <RelativeLayout
                    android:layout_width="90dp"
                    android:layout_height="wrap_content"/>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="炒锅当前位置：" />

                <TextView
                    android:id="@+id/chaoguo_weizhi"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:minWidth="60dp"
                    android:text="10005"
                    android:textColor="@color/deep_orange_primary"
                    android:textSize="25dp"
                    android:textStyle="bold"/>
            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10">

                <LinearLayout
                    android:layout_centerInParent="true"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content">

                    <Button
                        android:id="@+id/gkzx_button"
                        android:layout_width="160dp"
                        android:layout_height="100dp"
                        android:layout_centerInParent="true"
                        android:layout_marginRight="@dimen/dp_10"
                        android:background="@drawable/button2"
                        android:text="锅口控制\n正向移动"
                        android:textSize="20dp"
                        android:textColor="@color/white"/>

                    <Button
                        android:id="@+id/gkfx_button"
                        android:layout_width="160dp"
                        android:layout_height="100dp"
                        android:layout_centerInParent="true"
                        android:layout_marginLeft="50dp"
                        android:layout_marginRight="@dimen/dp_10"
                        android:background="@drawable/button3"
                        android:text="锅口控制\n反向移动"
                        android:textSize="20dp"
                        android:textColor="@color/white"/>
                </LinearLayout>

            </RelativeLayout>

        </LinearLayout>
    </RelativeLayout>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>